/*======================================
Theme Name: Divi Cake
Theme URI: https://divicake.com/
Description: Divi Theme
Version: 1.0
Author: CODM
Author URI: https://www.carlocab.com/
Template: Divi
======================================*/


body.et-db #et-boc .gform_body .gfield{
    margin-bottom: 30px;
}
body.et-db #et-boc .gform_body .gfield input, 
body.et-db #et-boc .gform_body .gfield textarea, 
body.et-db #et-boc .gform_body .gfield select {
    background: transparent;
    border: 1px solid #000;
    padding: 19px 20px;
    font-size: 18px!important;
    color: #000!important;
	margin-top: 0!important;
}

body.et-db #et-boc .gform_body .gfield input::placeholder, 
body.et-db #et-boc .gform_body .gfield textarea::placeholder, 
body.et-db #et-boc .gform_body .gfield select::placeholder{
    color: #000;
    opacity: 0.3;
}

body.et-db #et-boc .gform_body .gfield .gfield_label{
    font-size: 18px;
    font-weight: 600;
}

body.et-db #et-boc .dark_bg_form .gform_body .gfield input, 
body.et-db #et-boc .dark_bg_form .gform_body .gfield textarea, 
body.et-db #et-boc .dark_bg_form .gform_body .gfield select {
    border: 1px solid #ffffff;
    color: #fff!important;
}

body.et-db #et-boc .dark_bg_form .gform_body .gfield input::placeholder, 
body.et-db #et-boc .dark_bg_form .gform_body .gfield textarea::placeholder, 
body.et-db #et-boc .dark_bg_form .gform_body .gfield select::placeholder {
    color: #fff;
    opacity: 0.3;
}

body.et-db #et-boc .gform_body .gfield textarea{
    height: 120px!important;
}

body.et-db #et-boc .gform_legacy_markup_wrapper .gfield_required{
    opacity: 0;
}

body.et-db #et-boc .ginput_container_fileupload input {
    border-style: dashed!important;
    padding: 16px 20px!important;
}

body.et-db #et-boc .gform-footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

body.et-db #et-boc .gform-footer .gform_button {
    color: #FFFFFF !important;
    border: 1px solid #ED1C24 !important;
    border-radius: 0px;
    letter-spacing: 0px;
    font-size: 16px;
    font-family: 'Instrument Sans - Bold'!important;
    background-color: #ED1C24;
    padding: 15px 35px!important;
    box-shadow: 0px 7px 15px -5px rgba(0, 0, 0, 0.5);
    cursor: pointer;
    transition: 0.4s;
}

body.et-db #et-boc .gform-footer .gform_button:hover{
    color: #ED1C24!important;
    background: transparent;
    box-shadow: none!important;
}

.gform_legacy_markup_wrapper div.validation_error {
    display: none;
}

.gform_legacy_markup_wrapper li.gfield.gfield_error, 
.gform_legacy_markup_wrapper li.gfield.gfield_error.gfield_contains_required.gfield_creditcard_warning{
    border: 0;
    background: transparent;
    margin: 0;
}

.gform_legacy_markup_wrapper li.gfield.gfield_error.gfield_contains_required div.gfield_description {
    color: #e31b22;
    padding-top: 0;
    opacity: 0.7;
}

.gform_legacy_markup_wrapper li.gfield.gfield_error .gfield_label {
    color: #000;
}
.dark_bg_form .gform_legacy_markup_wrapper li.gfield.gfield_error .gfield_label {
    color: #fff;
}

body.et-db #et-boc .gform_confirmation_message {
    text-align: center;
    font-size: 18px;
    font-family: 'Instrument Sans - Bold';
    background: #eeeeee;
    padding: 30px;
    line-height: 1.4;
}

body.et-db #et-boc .gform_confirmation_message {
    color: #fff !important;
    background: #000;
}

@media(max-width: 980px){
	body.et-db #et-boc .gform_body .gfield input, 
	body.et-db #et-boc .gform_body .gfield textarea, 
	body.et-db #et-boc .gform_body .gfield select,
	body.et-db #et-boc .dark_bg_form .gform_body .gfield input, 
	body.et-db #et-boc .dark_bg_form .gform_body .gfield textarea, 
	body.et-db #et-boc .dark_bg_form .gform_body .gfield select{
		font-size: 16px!important;
    	padding: 13px 30px!important;
	}
	
	body.et-db #et-boc .gform_body .gfield .gfield_label{
		font-size: 16px!important;
	}
}
@media(max-width: 767px){
	body.et-db #et-boc .gform_body .gfield input, 
	body.et-db #et-boc .gform_body .gfield textarea, 
	body.et-db #et-boc .gform_body .gfield select,
	body.et-db #et-boc .gform_body .gfield .gfield_label,
	body.et-db #et-boc .dark_bg_form .gform_body .gfield input, 
	body.et-db #et-boc .dark_bg_form .gform_body .gfield textarea, 
	body.et-db #et-boc .dark_bg_form .gform_body .gfield select{
		font-size: 15px!important;
	}
	
	body.et-db #et-boc .gform-footer .gform_button {
		font-size: 14px!important;
	}
	
	body.et-db #et-boc .gform_body .gfield {
		margin-bottom: 10px;
		width: 100%;
	}
}


/*  
 * DEFAULTS
 * --------------------------------------------------------------------*/
.et_pb_row.et_pb_divider_100{
	width: 100%!important;
	max-width: 100%!important;
}

.et_db_default_section_spacing.et_pb_section{
	padding-left: 50px!important;
	padding-right: 50px!important;
}

b, strong {
    font-family: 'Instrument Sans - Bold';
}

@media(max-width: 767px){
	.et_db_default_section_spacing.et_pb_section{
		padding-left: 30px!important;
		padding-right: 30px!important;
	}
}

@media(max-width: 380px){
    body #page-container .et_pb_section .et_pb_button {
        min-width: unset!important;
        width: 100%;
        text-align: center;
    }
}

/*  
 * HOME
 * --------------------------------------------------------------------*/
body.home div#main-content {
    margin-top: -117px;
}

body.home header .et_pb_section--with-menu:not(.et_pb_sticky--top){
    background: transparent!important;
}
body:not(.home) header.et-l.et-l--header .et_pb_row--with-menu{
    background: #000!important;
}

@media(max-width: 1240px){
    body.home div#main-content {
        margin-top: -100px;
    }
}

@media(max-width: 1040px){
    body.home div#main-content {
        margin-top: -90px;
    }
}
@media(max-width: 980px){
    body.home div#main-content {
        margin-top: -95px;
    }
}


/*  
 * FOOTER
 * --------------------------------------------------------------------*/
footer .et_pb_menu__wrap .et_pb_menu__menu{
    margin-left: auto;
    margin-right: auto;
}

footer .et-menu-nav ul.et-menu li {
    padding: 0 2vw!important;
}

body.et-db #et-boc header .et_pb_menu ul.sub-menu {
    box-shadow: 0 4px 16px rgba(0,0,0,0.08);
    background-color: #000!important;
    z-index: 999999;
}

body.et-db #et-boc header .et_pb_menu li.menu-item-has-children:hover ul.sub-menu,
body.et-db #et-boc header .et_pb_sticky--top .et_pb_menu li.menu-item-has-children:hover > ul.sub-menu{
    visibility: visible!important;
    opacity: 1!important;
}

body.et-db #et-boc header li.current-menu-item .sub-menu > li:not(.current-menu-item) a {
    color: #fff!important;
}

body.et-db #et-boc header li.current-menu-item .sub-menu > li:not(.current-menu-item):hover a {
    color: #d61921!important;
}

body.et-db #et-boc .et_pb_footer_contacts .et_pb_blurb_container .et_pb_blurb_description a,
body.et-db #et-boc .et_pb_footer_contacts .et_pb_blurb_container .et_pb_blurb_description span,
body.et-db #et-boc footer .et_pb_footer_contacts .et_pb_email_contact a{
    font-size: clamp(1rem, 0.7388rem + 0.426vw, 1.25rem)!important;
  }

@media (max-width: 1280px){
  .et_pb_footer_contacts .et_pb_column {
      width: calc(50% - 20px)!important;
      margin: 0 10px 20px!important;
  }

  .et_pb_footer_contacts {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
  }
}


@media(max-width: 980px){
  .et_pb_footer_contacts .et_pb_column {
    width: calc(50% - 20px)!important;
    margin: 0 10px 20px!important;
    padding: 10px;
    background: rgba(255,255,255,0.08);
  }

  .et_pb_footer_contacts .et_pb_column:nth-child(3){
    width: 60%!important;
  }

  .et_pb_footer_contacts .et_pb_blurb{
      padding-left: 0!important;
  }
    
    .et_pb_footer_contacts .et_pb_blurb_content{
        margin-left: 0!important;
    }
     .et_pb_footer_contacts.et_pb_row,
    footer .et_pb_row,
    .et_pb_footer_contacts .et_pb_blurb_content{
        max-width: 100%!important;
        width: 100%!important;
    }
  
    .et_pb_divider_100.et_pb_banner_divider {
     margin-top: -85px!important;       
    }
}
@media(max-width: 830px){
   
    .et_pb_footer_contacts .et_pb_column {
      max-width: 100%!important;
      width: 100%!important;
      margin: 0 0px 30px!important;
   		padding: 0px;
      background: transparent;
    }
  
  .et_pb_footer_contacts .et_pb_column:nth-child(3){
        max-width: 100%!important;
        width: 100%!important;
  }
  .et_pb_footer_contacts .et_pb_column .et_pb_module{
  	max-width: 400px;
    margin-left: auto;
    margin-right: auto;
   		padding: 30px 20px!important;
    background: rgba(255,255,255,0.1);
  }
  
}


@media(max-width: 400px){
  footer .et_pb_footer_contacts .et_pb_email_contact a{
      font-size: 13px!important;
    }
}

/*  
 * BLOGS
 * --------------------------------------------------------------------*/

body.wp-singular h2.entry-title a {
    font-family: 'Michroma';
    font-size: 22px;
    font-weight: 400;
    color: #880005;
    display: flex!important;
    width: 100%;
    max-width: 100%;
    line-height: 1.4!important;
    transition: 0.4s;
}

body.wp-singular h2.entry-title a:hover {
    color: #000;
}

body.wp-singular .post-meta,
body.wp-singular .post-meta span{
    font-family: 'Instrument Sans - Bold'!important;
    color: rgba(0,0,0,0.3)!important;
    text-transform: uppercase;
    letter-spacing: 0.5px!important;
}

body.wp-singular #et-boc .dipi-read-more-wrap {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
}

body.wp-singular #et-boc .dipi-read-more-wrap .dipi-read-more-button {
    font-size: 16px;
    font-family: 'Instrument Sans - Bold'!important;
    background: #ed1c24!important;
    border: 1px solid #ed1c24!important;
    transition: 0.4s;
}

body.wp-singular #et-boc .dipi-read-more-wrap .dipi-read-more-button:hover{
    background: transparent!important;
    color: #ed1c24!important;
}

body.wp-singular .et_pb_post.clearfix:after {
    display: none;
}

.dipi-author-section .dipi-author-row {
	display: none;
}

.dipi-post-left a, .dipi-post-right a {
    font-family: 'Instrument Sans - Bold'!important;
    padding: 12px 20px;
    font-size: 16px!important;
    transition: 0.4s;
}

.dipi-post-left,
.dipi-post-right{
    padding: 0!important;
}

.dipi-post-left a:hover, .dipi-post-right a:hover {
    color: #fff!important;
    background: #000;
}

#dipi-related-article-box {
    display: none;
}

@media(max-width: 980px){
    body.wp-singular h2.entry-title a {
        font-size: 20px;
    }
}

@media(max-width: 767px){
    body.wp-singular h2.entry-title a {
        font-size: 18px;
    }
}


/*  
 * MOBILE MENU
 * --------------------------------------------------------------------*/
@media(max-width: 980px){
	#mobile-menu-slide .et_mobile_menu {
		display: flex;
		flex-wrap: wrap;
		position: relative;
		border-top: 0!important;
        box-shadow: none !important;
	}

	#mobile-menu-slide .et_mobile_menu li {
		width: 100%;
	}
	
	#mobile-menu-slide .et_mobile_menu li a {
		font-size: 18px !important;
	}

	#mobile-menu-slide span.mobile_menu_bar {
		display: none!important;
	}

	#mobile-menu-slide{
		min-height: 100vh;
		display: flex;
		flex-wrap: wrap;
		align-content: space-between;
	}
	
	#mobile-menu-slide .et_mobile_menu li a {
		font-size: 18px !important;
	}

	#mobile-menu-slide ul#mobile_menu3 {
		width: 100%;
		max-width: 100%!important;
		padding: 20px 0;
	}

	#mobile-menu-slide .et_mobile_nav_menu {
		max-width: 100%;
		width: 100%;
	}

	#mobile-menu-slide .et_mobile_menu li {
		padding: 10px 0;
	}

	#mobile-menu-slide .et_mobile_menu li:last-child {
		border-bottom: 0;
	}

	#mobile-menu-slide .et_pb_row {
		width: 100%;
		max-width: 90%;
	}

	#mobile-menu-slide .mobile_nav.closed {
		width: 100%!important;
	}

	#mobile-menu-slide .et_pb_slide_menu_bottom-header .et_pb_column {
		display: flex;
		flex-wrap: unset;
	}
	
	 #mobile-menu-slide .et_mobile_menu li.menu-item-has-children .sub-menu {
		visibility: visible!important;
		opacity: 1;
		padding-left: 25px;
	}

	#mobile-menu-slide .et_mobile_menu li.menu-item-has-children .sub-menu li {
		padding: 0;
	}
	
	#mobile-menu-slide .et_mobile_menu li.menu-item-has-children .sub-menu li a{
		display: flex;
	}
	
	#mobile-menu-slide .et_mobile_menu li.menu-item-has-children .sub-menu li a:before {
		font-family: 'ETmodules';
		color: #fff!important;
		content: '\35'!important;
		font-weight: 900;
		margin-right: 10px;
	}
}

@media(max-width: 830px){
	
    #mobile-menu-slide .et_pb_slide_menu_bottom-header .et_pb_column{
        flex-wrap: wrap;
    }
	
    .et_pb_row.et_pb_row_23.et_pb_slide_menu_bottom-header .et_pb_column {
        flex-wrap: wrap; 
        flex-direction: column;
    }

    .et_pb_blurb_content {
        margin-left: 0;
    }
}

